GDBserver

Typedefs | Functions
event-loop.h File Reference

Go to the source code of this file.

## Typedefs
typedef void * | gdb_client_data
typedef int() | handler_func(int, gdb_client_data)
typedef int() | callback_handler_func(gdb_client_data)

## Functions
void | delete_file_handler (gdb_fildes_t fd)
void | add_file_handler (gdb_fildes_t fd, handler_func *proc, gdb_client_data client_data)
int | append_callback_event (callback_handler_func *proc, gdb_client_data client_data)
void | delete_callback_event (int id)
void | start_event_loop (void)
void | initialize_event_loop (void)

## Typedef Documentation

## ◆ callback_handler_func

typedef int() callback_handler_func(gdb_client_data)

Definition at line 24 of file event-loop.h.

## ◆ gdb_client_data

typedef void* gdb_client_data

Definition at line 22 of file event-loop.h.

## ◆ handler_func

typedef int() handler_func(int, gdb_client_data)

Definition at line 23 of file event-loop.h.

## Function Documentation

## ◆ add_file_handler()

void add_file_handler | ( | gdb_fildes_t | fd,
|  | handler_func * | proc,
|  | gdb_client_data | client_data
| ) |  |

Definition at line 324 of file event-loop.c.

References create_file_handler(), GDB_EXCEPTION, GDB_READABLE, and callback_event::proc.

Referenced by handle_accept_event(), linux_async(), and remote_open().

## ◆ append_callback_event()

int append_callback_event | ( | callback_handler_func * | proc,
|  | gdb_client_data | client_data
| ) |  |

Definition at line 198 of file event-loop.c.

References callback_list, callback_event::data, callback_event::id, callback_event::next, callback_event::proc, and XNEW.

Referenced by reschedule().

## ◆ delete_callback_event()

void delete_callback_event | ( | int | id | ) |

Definition at line 218 of file event-loop.c.

References callback_list, free(), callback_event::id, and callback_event::next.

Referenced by reset_readchar().

## ◆ delete_file_handler()

void delete_file_handler | ( | gdb_fildes_t | fd | ) |

Definition at line 334 of file event-loop.c.

References file_handler::fd, free(), GDB_EXCEPTION, gdb_notifier, GDB_READABLE, GDB_WRITABLE, file_handler::mask, and file_handler::next_file.

Referenced by handle_accept_event(), linux_async(), and remote_close().

## ◆ initialize_event_loop()

void initialize_event_loop | ( | void |  | ) |

Definition at line 158 of file event-loop.c.

References gdb_event_xfree(), and QUEUE_alloc.

Referenced by captured_main().

## ◆ start_event_loop()

void start_event_loop | ( | void |  | ) |

Definition at line 537 of file event-loop.c.

References process_callback(), process_event(), and wait_for_event().

Referenced by captured_main().